Supported Hardware / System Requirements

Updated

EVE: Valkyrie is currently only officially supported on the consumer version of Oculus Rift, the Playstation VR and the HTC Vive.

 

CCP Games has developed EVE: Valkyrie to be the most cutting-edge virtual reality experience available on any platform. To achieve that level of graphical fidelity, game performance, and player experience, we have aggressively targeted the recommended hardware specification for Oculus Rift consumer version. Without both an Oculus Rift consumer headset and a VR-ready computer, the game will not perform as expected, and some features may not work at all.

 

At this time, there is nothing preventing owners of the Oculus Rift Development Kit 2 from purchasing EVE: Valkyrie. Like other PC games, EVE: Valkyrie has official supported specifications, and CCP will only support customers who meet them. For clarity’s sake, this means that if you purchase the game to play with your DK2 and have technical problems, we will not be able to support you.

 

We leave it to each individual player to understand and accept these specs, and we do not recommend (or officially support) playing the game any other way. Please understand that this could change at any time, and EVE: Valkyrie could cease to be compatible entirely with the developer versions of Rift.

Attachments

No Attachments with this Article
Was this article helpful?
0 out of 0 found this helpful
Powered by Zendesk